//Generated by wsdl2apex

public class RaM_NotificationWOsalesforceComPm {
    public class FM_SFDC_FaultMsg_element {
        public RaM_NotificationWOsalesforceComPm.ExchangeFaultData standard;
        private String[] standard_type_info = new String[]{'standard','http://salesforce.com/PM',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'standard'};
    }
    public class DT_SFDC_Notif_WorkOrder_Req {
        public RaM_NotificationWOsalesforceComPm.MsgSource_element MsgSource;
        public RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder[] Notifications;
        private String[] MsgSource_type_info = new String[]{'MsgSource','http://salesforce.com/PM',null,'0','1','false'};
        private String[] Notifications_type_info = new String[]{'Notifications','http://salesforce.com/PM',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'MsgSource','Notifications'};
    }
    public class Response_element {
        public String RequestId;
        public String Type_x;
        public String Id;
        public String Number_x;
        public String System_x;
        public String Message;
        private String[] RequestId_type_info = new String[]{'RequestId','http://salesforce.com/PM',null,'1','1','false'};
        private String[] Type_x_type_info = new String[]{'Type','http://salesforce.com/PM',null,'1','1','false'};
        private String[] Id_type_info = new String[]{'Id','http://salesforce.com/PM',null,'1','1','false'};
        private String[] Number_x_type_info = new String[]{'Number','http://salesforce.com/PM',null,'1','1','false'};
        private String[] System_x_type_info = new String[]{'System','http://salesforce.com/PM',null,'1','1','false'};
        private String[] Message_type_info = new String[]{'Message','http://salesforce.com/PM',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'RequestId','Type_x','Id','Number_x','System_x','Message'};
    }
    public class Actions_element {
        public String CreateNotif;
        public String ReleaseNotif;
        public String CreateWo;
        public String ReleaseWo;
        public String TechCompleteWo;
        private String[] CreateNotif_type_info = new String[]{'CreateNotif','http://salesforce.com/PM',null,'1','1','false'};
        private String[] ReleaseNotif_type_info = new String[]{'ReleaseNotif','http://salesforce.com/PM',null,'1','1','false'};
        private String[] CreateWo_type_info = new String[]{'CreateWo','http://salesforce.com/PM',null,'1','1','false'};
        private String[] ReleaseWo_type_info = new String[]{'ReleaseWo','http://salesforce.com/PM',null,'1','1','false'};
        private String[] TechCompleteWo_type_info = new String[]{'TechCompleteWo','http://salesforce.com/PM',null,'1','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'CreateNotif','ReleaseNotif','CreateWo','ReleaseWo','TechCompleteWo'};
    }
    public class MsgSource_element {
        public String InitiatingApplication;
        public String ExternalUserId;
        public String SAPUserId;
        public String SentOn;
        public String SentAt;
        public String RequestedOn;
        public String RequestedAt;
        private String[] InitiatingApplication_type_info = new String[]{'InitiatingApplication','http://salesforce.com/PM',null,'0','1','false'};
        private String[] ExternalUserId_type_info = new String[]{'ExternalUserId','http://salesforce.com/PM',null,'0','1','false'};
        private String[] SAPUserId_type_info = new String[]{'SAPUserId','http://salesforce.com/PM',null,'0','1','false'};
        private String[] SentOn_type_info = new String[]{'SentOn','http://salesforce.com/PM',null,'0','1','false'};
        private String[] SentAt_type_info = new String[]{'SentAt','http://salesforce.com/PM',null,'0','1','false'};
        private String[] RequestedOn_type_info = new String[]{'RequestedOn','http://salesforce.com/PM',null,'0','1','false'};
        private String[] RequestedAt_type_info = new String[]{'RequestedAt','http://salesforce.com/PM',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'InitiatingApplication','ExternalUserId','SAPUserId','SentOn','SentAt','RequestedOn','RequestedAt'};
    }
    public class DT_SFDC_Notif_WorkOrder {
        public String LineItemId;
        public String NotificationId;
        public String OrderId;
        public String NotificationType;
        public String OrderType;
        public RaM_NotificationWOsalesforceComPm.Actions_element Actions;
        public String Description;
        public String FunctionalLocation;
        public String EquipmentNo;
        public String ExternalRef;
        public String RequiredStartDate;
        public String RequiredStartTime;
        public String RequiredEnd;
        public String Priority;
        public String PlannerGroup;
        public String PlanningPlant;
        public String MainWorkCenter;
        public String PlantofMainWorkCtr;
        public String MaintActivityType;
        public String ReferenceDate;
        public String LongText;
        public String UserStatus;
        public String CodingGroup;
        public String CodingCode;
        private String[] LineItemId_type_info = new String[]{'LineItemId','http://salesforce.com/PM',null,'0','1','false'};
        private String[] NotificationId_type_info = new String[]{'NotificationId','http://salesforce.com/PM',null,'0','1','false'};
        private String[] OrderId_type_info = new String[]{'OrderId','http://salesforce.com/PM',null,'0','1','false'};
        private String[] NotificationType_type_info = new String[]{'NotificationType','http://salesforce.com/PM',null,'0','1','false'};
        private String[] OrderType_type_info = new String[]{'OrderType','http://salesforce.com/PM',null,'0','1','false'};
        private String[] Actions_type_info = new String[]{'Actions','http://salesforce.com/PM',null,'1','1','false'};
        private String[] Description_type_info = new String[]{'Description','http://salesforce.com/PM',null,'0','1','false'};
        private String[] FunctionalLocation_type_info = new String[]{'FunctionalLocation','http://salesforce.com/PM',null,'0','1','false'};
        private String[] EquipmentNo_type_info = new String[]{'EquipmentNo','http://salesforce.com/PM',null,'0','1','false'};
        private String[] ExternalRef_type_info = new String[]{'ExternalRef','http://salesforce.com/PM',null,'0','1','false'};
        private String[] RequiredStartDate_type_info = new String[]{'RequiredStartDate','http://salesforce.com/PM',null,'0','1','false'};
        private String[] RequiredStartTime_type_info = new String[]{'RequiredStartTime','http://salesforce.com/PM',null,'0','1','false'};
        private String[] RequiredEnd_type_info = new String[]{'RequiredEnd','http://salesforce.com/PM',null,'0','1','false'};
        private String[] Priority_type_info = new String[]{'Priority','http://salesforce.com/PM',null,'0','1','false'};
        private String[] PlannerGroup_type_info = new String[]{'PlannerGroup','http://salesforce.com/PM',null,'0','1','false'};
        private String[] PlanningPlant_type_info = new String[]{'PlanningPlant','http://salesforce.com/PM',null,'0','1','false'};
        private String[] MainWorkCenter_type_info = new String[]{'MainWorkCenter','http://salesforce.com/PM',null,'0','1','false'};
        private String[] PlantofMainWorkCtr_type_info = new String[]{'PlantofMainWorkCtr','http://salesforce.com/PM',null,'0','1','false'};
        private String[] MaintActivityType_type_info = new String[]{'MaintActivityType','http://salesforce.com/PM',null,'0','1','false'};
        private String[] ReferenceDate_type_info = new String[]{'ReferenceDate','http://salesforce.com/PM',null,'0','1','false'};
        private String[] LongText_type_info = new String[]{'LongText','http://salesforce.com/PM',null,'0','1','false'};
        private String[] UserStatus_type_info = new String[]{'UserStatus','http://salesforce.com/PM',null,'0','1','false'};
        private String[] CodingGroup_type_info = new String[]{'CodingGroup','http://salesforce.com/PM',null,'0','1','false'};
        private String[] CodingCode_type_info = new String[]{'CodingCode','http://salesforce.com/PM',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'LineItemId','NotificationId','OrderId','NotificationType','OrderType','Actions','Description','FunctionalLocation','EquipmentNo','ExternalRef','RequiredStartDate','RequiredStartTime','RequiredEnd','Priority','PlannerGroup','PlanningPlant','MainWorkCenter','PlantofMainWorkCtr','MaintActivityType','ReferenceDate','LongText','UserStatus','CodingGroup','CodingCode'};
    }
    public class DT_SFDC_Notif_WorkOrder_Resp {
        public RaM_NotificationWOsalesforceComPm.Response_element[] Response;
        private String[] Response_type_info = new String[]{'Response','http://salesforce.com/PM',null,'1','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'Response'};
    }
    public class ExchangeFaultData {
        public String faultText;
        public String faultUrl;
        public RaM_NotificationWOsalesforceComPm.ExchangeLogData[] faultDetail;
        private String[] faultText_type_info = new String[]{'faultText','http://salesforce.com/PM',null,'1','1','false'};
        private String[] faultUrl_type_info = new String[]{'faultUrl','http://salesforce.com/PM',null,'0','1','false'};
        private String[] faultDetail_type_info = new String[]{'faultDetail','http://salesforce.com/PM',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'faultText','faultUrl','faultDetail'};
    }
    public class ExchangeLogData {
        public String severity;
        public String text;
        public String url;
        public String id;
        private String[] severity_type_info = new String[]{'severity','http://salesforce.com/PM',null,'0','1','false'};
        private String[] text_type_info = new String[]{'text','http://salesforce.com/PM',null,'1','1','false'};
        private String[] url_type_info = new String[]{'url','http://salesforce.com/PM',null,'0','1','false'};
        private String[] id_type_info = new String[]{'id','http://salesforce.com/PM',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'severity','text','url','id'};
    }
    public class HTTPS_Port {
        //public String endpoint_x = 'https://vsid1ci1.huskyenergy.ca:51001/XISOAPAdapter/MessageServlet?senderParty=&senderService=SFDC&receiverParty=&receiverService=&interface=SI_SFDC_Notif_WO_Create_Sync_OB&interfaceNamespace=http%3A%2F%2Fsalesforce.com%2FPM';
        //public String endpoint_x = 'https://Salesforce-DRaM-NotificationWO-dev1.huskyenergy.com:8010/dir/wsdl?p=ic/840948e8292634328a055f5eefb21f8c';
       // RaM_Settings__c cSettings = RaM_Settings__c.getOrgDefaults(); cSettings.Salesforce_DRaM_NotificationWO_F5_URL__c
        public String endpoint_x = Label.RaM_Salesforce_DRaM_NotificationWO_F5_URL + ':8010/XISOAPAdapter/MessageServlet?senderParty=&senderService=SFDC&receiverParty=&receiverService=&interface=SI_SFDC_Notif_WO_Create_Sync_OB&interfaceNamespace=http%3A%2F%2Fsalesforce.com%2FPM';
          
        
        public Map<String,String> inputHttpHeaders_x;
        public Map<String,String> outputHttpHeaders_x;
        public String clientCertName_x;
        public String clientCert_x;
        public String clientCertPasswd_x;
        public Integer timeout_x;
        private String[] ns_map_type_info = new String[]{'http://salesforce.com/PM', 'RaM_NotificationWOsalesforceComPm'};
        public RaM_NotificationWOsalesforceComPm.Response_element[] SI_SFDC_Notif_WO_Create_Sync_OB(RaM_NotificationWOsalesforceComPm.MsgSource_element MsgSource,RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder[] Notifications) {
            RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder_Req request_x = new RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder_Req();
            request_x.MsgSource = MsgSource;
            request_x.Notifications = Notifications;
            RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder_Resp response_x;
            Map<String, RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder_Resp> response_map_x = new Map<String, RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder_Resp>();
            response_map_x.put('response_x', response_x);
            WebServiceCallout.invoke(
              this,
              request_x,
              response_map_x,
              new String[]{endpoint_x,
              'http://sap.com/xi/WebService/soap1.1',
              'http://salesforce.com/PM',
              'MT_SFDC_Notif_WorkOrder_Req',
              'http://salesforce.com/PM',
              'MT_SFDC_Notif_WorkOrder_Resp',
              'RaM_NotificationWOsalesforceComPm.DT_SFDC_Notif_WorkOrder_Resp'}
            );
            response_x = response_map_x.get('response_x');
            return response_x.Response;
        }
    }
}